// Define pinMode for the pins and set the frequency for timer1.
//Pin map
 const int INA = 10;
 const int INB = 11;
 const int PWM = 9;
 int speed = 100;
 int tiempo = 2000; 
void setup() {
   Serial.begin(115200);
  pinMode(INA,OUTPUT);
  pinMode(INB,OUTPUT);
  pinMode(PWM,OUTPUT);
}
void loop() {
   setM1Speed(speed);  // single-channel motor full-speed "forward"
  delay(tiempo);  // wait for 2 seconds
  setM1Speed(0);  // single-channel motor stop (coast)
  delay(500);  // wait for 0.5 s
  setM1Speed(-speed);  // single-channel motor full-speed "reverse"
  delay(tiempo);  // wait for 2 seconds
  setM1Speed(0);  // single-channel motor stop (coast)
  delay(500);  // wait for 0.5 s
//  Serial.print("M1 current: ");
//  Serial.println(PWM);
}
void setM1Speed(int speed)
{
if(speed == 0){
  digitalWrite(INA, LOW);
  digitalWrite(INB, LOW);
  }
else{
  if(speed<0){
     analogWrite(PWM,-1*speed * 51 / 80); // map 400 to 255
    digitalWrite(INA, LOW);
    digitalWrite(INB, HIGH);
    }
   else if(speed>0){
    analogWrite(PWM,speed * 51 / 80); // map 400 to 255
    digitalWrite(INA, HIGH);
    digitalWrite(INB, LOW);
   }
 }
}
